/*******************************************************************************

Title: 			03_anthro_deid_health_paper.do
Author(s): 		Caleb Jeremie Dohou & Luca Stanus Ghib
Description: 	This dofile loads the raw data with corrections applied and deidentifies it.
Input: 	"${raw_corr_PII}", see global defined in Project_MasterDofile.do
Output:	"${raw_deid}", see global defined in Project_MasterDofile.do

*******************************************************************************/

******** load raw corrected dataset
use "${anthro_raw_corr_PII}", clear

******** strip all PII
local PII resp_name child_name_* selected_child_name phone_number_result 

drop `PII'

**** Keeping only relavant variables for cleaning, construction and analysis
keep key survey_hh_id province village eligible_yn consent start_measrues selected_month_birth selected_day_birth selected_year_birth measured_upright selected_child_sex selected_age_years weight height

******** save raw dataset with corrections and without PII
save "${hp_anthro_raw_deid}", replace 

* end of dofile *
