/*******************************************************************************

Title: 			06_analysis.do
Author(s): 		Luca Stanus Ghib
Description: 	This dofile produces output.
Input: 	"${constructed}", see global defined in 01_master.do
Output:	tables/graphs

*******************************************************************************/

******** load raw dataset
use "${constructed_hp}", clear

******** analysis
** As part of the cleaning exercise, a cleaned version of the water_risk named water_risk_new has been created
set scheme cblind1
* hist water_risk_new if treatment_status==1, frequency
* hist water_risk_new if treatment_status==0, frequency

twoway (histogram water_risk if treatment_status==1,color(black) discrete percent xtitle("") xlabel(1(1)4, labsize(vsmall) angle(forty_five) valuelabel)) ///
       (histogram water_risk if treatment_status==0, color(red%30) discrete percent xtitle("") xlabel(1(1)4, labsize(vsmall) angle(forty_five) valuelabel)), ///
	   legend(order(1 "Treatment" 2 "Control" ))
	   
graph export "${output_hp}/hist_hh_water_risk_T_vs_C.png", replace

* end of dofile */
