/*******************************************************************************

Title: 			03_hh_deid_health_paper.do
Author(s): 		Caleb Jeremie Dohou & Luca Stanus Ghib
Description: 	This dofile loads the raw data with corrections applied and deidentifies it.
Input: 	"${raw_corr_PII}", see global defined in Project_MasterDofile.do
Output:	"${raw_deid}", see global defined in Project_MasterDofile.do

*******************************************************************************/

******** load raw corrected dataset
use "${hh_raw_corr_PII}", clear

******** strip all PII
local PII pl_resp_name pl_nickname pl_partner_name resp_name resp_nickname main_contact sec_contact partner_name pl_childold_name_* och_correct_name_* nch_child_name_* water_collector_name_* 

drop `PII'

keep key survey_hh_id village province consent so_consent so_event_* so_any_event so_who_event_* so_wash_hands_* so_hw_material_* resp_age *_diarrhea_* midl_children_roster_count endl_children_roster_count *_child_sex_* pl_childold_gender_* *_age_years_calc_* *_age_years_calc2_* *_schooling_* nch_school_attend_* och_attendsch_lwks_* och_attendsch_lwks_* och_missedsch_why_* och_missedsch_why_oth_* nch_missedsch_why_* nch_missedsch_why_oth_* end_endl_child_roster comm_select_fairly fairtreat_bycomm comm_money_manage comm_response_breakd trust_comm_response satisfac_water_access main_drink_source fetchround_hrs_trip_* fetchround_mins_trip_* wateruse_cost flatrate_period flatrate_fee water_peruse_pay_lastwk water_pay_type defec_facility_hh defec_facility_hh_oth hw_toilet-hw_field defec_facility_hh used_soap_ash latrine_clean_2wks water_pot_clean pot_covered water_treated wvs rosenberg_1st rosenberg_2nd rosenberg_3rd rosenberg_4th rosenberg_5th rosenberg_6th rosenberg_7th rosenberg_8th rosenberg_9th rosenberg_10th who_1st who_2nd who_3rd who_4th who_5th cohen_1st cohen_2nd cohen_3rd cohen_4th room_roof room_wall room_floor religion mother_tongue marital_status resp_educ hhsize comment_flatrate_fee comment_flatrate_period och_correct_sex_* nch_children_yn och_bowel_* nch_bowel_* och_blood_stool_* nch_blood_stool_* och_watersoft_stool_* nch_watersoft_stool_* och_diarrh_l2wks_* nch_diarrh_l2wks_* och_bloodstool_l2wks_* nch_bloodstool_l2wks_*

******** save raw dataset with corrections and without PII
save "${hp_hh_raw_deid}", replace 


* end of dofile *
