/*******************************************************************************

Title: 			03_hhw_deid_health_paper.do
Author(s): 		Caleb Jeremie Dohou & Luca Stanus Ghib
Description: 	This dofile loads the raw data with corrections applied and deidentifies it.
Input: 	"${raw_corr_PII}", see global defined in Project_MasterDofile.do
Output:	"${raw_deid}", see global defined in Project_MasterDofile.do

*******************************************************************************/

******** load raw corrected dataset 
use "${hhw_raw_corr_PII}", clear

******** strip all PII
 local PII deviceid subscriberid simid devicephonenum username duration caseid text_audit field_comments audio_audit  resp_name phone_number_result isvalidated supervisor enumerator tester

 drop `PII'
 
**** Keeping only health papaer relevant variables for cleaning, construction and analysis
keep key survey_hh_id province village water_risk color_compart1_10 color_compart2_30 color_compart3_56 color_compart4_03 color_compart5_01 test_status

******** save raw dataset with corrections and without PII
save "${hp_hhw_raw_deid}", replace 



* end of dofile *
