/*******************************************************************************

Title: 			04_cleaning.do
Author(s): 		Luca Stanus Ghib
Description: 	This dofile loads the raw data with corrections applied and deidentifies it.
Input: 	"${raw_deid}", see global defined in Project_MasterDofile.do
Output:	"${clean}", see global defined in Project_MasterDofile.do

*******************************************************************************/

******** load raw dataset
use "${hp_hhw_raw_deid}", clear

* Add label to water risk variable
label var water_risk "HW34. Result classification E.coli (dec concentration/100 ml)"
tab water_risk, mi

**** Drop obversations for which consent was not provided and 
**** for which Water sample drawn, but test not completed
drop if inlist(test_status, 0, 2)

drop test_status

destring village, replace

******** save clean dataset ready for variable construction
save "${hp_hhw_clean}", replace


* end of dofile *
