***********************************************
* Program to construct index

* To run, type: 
* WMEANEFFECTS Treatment Weight Y1 Y2... if..
* NOTE A WEIGHT VARIABLE AND  AN IF STATEMENT MUST BE INCLUDED
* IF NOT NEEDED USE DUMMY WEIGHT (POSSIBLY WEIGHT=1) AND NON BINDING  IF STATEMENT (POSSIBLY IF T!=.) 

capture{
program define  WMEANEFFECTS

	** Housekeeping
	version 9.0
	syntax varlist if/, Generate(name)
	gettoken T R : varlist
	gettoken W Y : R
	quietly gen _TT = `T' if `if'
	local i = 0

	** Normalize each Y in list of Ys
	foreach YY of varlist `Y'{
		local i = `i'+1
		display `i'
		quietly summarize `YY' [w=`W'] if _TT==0, detail
		quietly g _Z`i' = (`YY'-r(mean))/r(sd) if `if'
		}

	** Generate index
		egen _Z = rmean(_Z1-_Z`i')

	** Renormalize index
		quietly summarize _Z [w=`W'] if _TT==0, detail
		quietly replace _Z = (_Z-r(mean))/r(sd) if `if'

	** Output
		summarize _Z [w=`W'] if _TT==0
		gen `generate' =  _Z 
		lab var `generate' "Mean Effects index `Y'"
		drop _TT _Z1-_Z`i' _Z
end
}
