/*******************************************************************************

Title: 			village_list_health_paper.do
Author(s): 		Caleb Jeremie Dohou
Description: 	This dofile loads the list of villages including relevant variables and produces a clean and streamlined list with only relevant variable. It also loads the inital randomization output for two sets of provinces and combines them into a single dataset.

Input: 	"${village_list}", see global defined in Project_MasterDofile.do
Output:	"${hp_village_list}", see global defined in Project_MasterDofile.do

*******************************************************************************/


******** load raw corrected dataset after it has been mounted
******* Load treatment status info for later use
import excel using "${village_list}", clear firstrow

rename village village_name
rename village_id village

*destring village, replace

labmask traitement, values(treatment_status) lblname(treatment_status) // assigns values of treatment_status (string with "treatment" "control" info) to traitement (values 0 1 unlabelled)
drop 	treatment_status // redundant after using labmask
rename 	traitement treatment_status

keep village treatment_status group cluster_strata

destring village, replace


save "${hp_village_list}", replace


********* Initial Randomization full data ***********

*** Load randomization output data for all provinces except South Kivu
use "${assignment}", clear

*** Merge South Kivu's randomization output data to other provinces' data
append using "${assignmentsk}"

** Turning Bas Congo into Kongo Central
codebook province
label define province 1 "Kongo Central", modify

** Updating treatment coding
tab washrando, mi
rename washrando treatment_status
replace treatment_status = (treatment_status == 0)

tab treatment_status, mi
tab treatment_status, mi nol
tab cluster_strata, mi

drop village village_tronc new_gps nutrition_program km_to_nn_prev lat_dd long_dd flag prop_in_nut

save "${rando_fulldata}", replace



* end of dofile *
