/*******************************************************************************

Title: 			03_deid.do
Author(s): 		Luca Stanus Ghib
Description: 	This dofile loads the raw data with corrections applied and deidentifies it.
Input: 	"${vl_data_db_raw}", see global defined in Project_MasterDofile.do
Output:	"${hp_data_db_raw}", see global defined in Project_MasterDofile.do

*******************************************************************************/

******** load raw corrected dataset
use "${vl_raw_corr_PII}", clear

******** strip all PII
local PII vl_name vl_name_correct vl_new_name vwcl_name vwcl_new_name vwcl_correct_name vwcl_new_elect_name phone_number_* comm_member_name_* deviceid subscriberid simid devicephonenum username duration caseid text_audit field_comments audio_audit supervisor enumerator health_zone hz_name health_area ha_name village_name comment

drop `PII'

*** Keep variables only pertaining to the health paper data analysis
keep key province village survey_leadership_id wash_committee_check water_committee wash_comm_meetings wash_exp_water health_track defec_track

******** save raw dataset with corrections and without PII
save "${hp_vl_raw_deid}", replace 

* end of dofile *
