/*******************************************************************************

Title: 			03_wp_deid_health_paper.do
Author(s): 		Caleb Jeremie Dohou & Luca Stanus Ghib
Description: 	This dofile loads the raw data with corrections applied and deidentifies it.
Input: 	"${raw_corr_PII}", see global defined in Project_MasterDofile.do
Output:	"${raw_deid}", see global defined in Project_MasterDofile.do

*******************************************************************************/

******** load raw corrected dataset after it has been mounted
use "${wp_raw_corr_PII}", clear

******** strip all PII
 local PII deviceid subscriberid simid devicephonenum username duration caseid text_audit field_comments audio_audit supervisor enumerator instancename formdef_version isvalidated village_center_gpslatitude village_center_gpslongitude village_center_gpsaltitude village_center_gpsaccuracy wp_gpslatitude wp_gpslongitude wp_gpsaltitude wp_gpsaccuracy

 drop `PII'

 
**** Keeping only health papaer relevant variables for cleaning, construction and analysis
keep key survey_leadership_id wp_mapping_id province village wp_has_water water_risk color_compart1_10 color_compart2_30 color_compart3_56 color_compart4_03 color_compart5_01

******** save raw dataset with corrections and without PII
save "${hp_wp_raw_deid}", replace 



* end of dofile *
